/// <reference types="react" />
import "../../FabricInit";
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IAccordionProps, IAccordionItem } from "./Accordion.Props";
export interface IAccordionState {
    expandedDictionary: {
        [key: string]: boolean;
    };
}
export declare class Accordion extends BaseComponent<IAccordionProps, IAccordionState> {
    constructor(props: IAccordionProps);
    expand(itemKey: string): void;
    collapse(itemKey: string): void;
    render(): JSX.Element;
    renderItems(): JSX.Element[];
    renderItem(item: IAccordionItem, index: number): JSX.Element;
    toggleExpand(key: string): void;
}
