/// <reference types="react" />
import "../../FabricInit";
import { IContextualMenuButtonProps } from '../../Components/ContextualMenuButton/ContextualMenuButton.Props';
import { ContextualMenuButton } from '../../Components/ContextualMenuButton/ContextualMenuButton';
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
/**
 * Implementation of the ContextualMenuButton that uses the ellipsis
*/
export declare class MoreActionsButton extends BaseComponent<IContextualMenuButtonProps, {}> {
    private _contextualMenuRef;
    readonly contextualMenuRef: ContextualMenuButton | null;
    render(): JSX.Element;
    componentWillUnmount(): void;
}
