import "../../Core/core.scss";
import "../../Common.scss";
import * as React from "react";
import { IFocusZoneProps } from "../../Components/FocusZone/FocusZone.Props";
export interface IFocusZoneState {
    focuszoneId: string;
}
export interface IFocusZoneContext {
    focuszoneId?: string;
}
export declare const FocusZoneContext: React.Context<IFocusZoneContext>;
export declare class FocusZone extends React.Component<IFocusZoneProps, IFocusZoneState> {
    private rootElements;
    constructor(props: Readonly<IFocusZoneProps>);
    render(): JSX.Element;
    componentDidMount(): void;
    private focusNextElement;
    private getFocusElements;
}
