import * as tslib_1 from "tslib";
import "../../FabricInit";
import * as React from "react";
import { BaseComponent, css } from "office-ui-fabric-react/lib/Utilities";
import { DynamicText } from '../../Dynamic';
/**
 * Hub tile comprised of text, and an optional icon
 */
var HubTextTile = /** @class */ (function (_super) {
    tslib_1.__extends(HubTextTile, _super);
    function HubTextTile() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    HubTextTile.prototype.render = function () {
        var _a = this.props, text = _a.text, secondaryText = _a.secondaryText;
        var className = css("vss-HubTextTile vss-HubTile");
        return (React.createElement("div", { className: className },
            React.createElement(DynamicText, { text: text, className: css('vss-HubTextTile--primaryText', { 'vss-HubTextTile--primaryTextOnly': !this.props.secondaryText }) }),
            React.createElement(DynamicText, { text: secondaryText, className: 'vss-HubTextTile--secondaryText' })));
    };
    return HubTextTile;
}(BaseComponent));
export { HubTextTile };
