import { IIdentity, IdentitiesGetConnectionsResponseModel as IPersonaConnections } from '../../Features/Identities/IdentityService';
import { IPeoplePickerProvider } from '../../Features/Identities/IdentityPickerProvider';
export { IIdentity, IPersonaConnections, IPeoplePickerProvider };

export interface ISharedPeoplePickerProps {
    /**
     * Provider to handle how to filter the suggested people from a filter.
     */
    pickerProvider: IPeoplePickerProvider;
}