define("VSSUI/Components/PivotBar/PivotBarItem.Props", ["require", "exports"], function (require, exports) {
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Rendering behavior of pivot bar item.
     */
    var PivotBarItemDeselectionBehavior;
    (function (PivotBarItemDeselectionBehavior) {
        /**
         * Removes (unmounts) the component when the pivot is deselected.
         */
        PivotBarItemDeselectionBehavior[PivotBarItemDeselectionBehavior["Remove"] = 0] = "Remove";
        /**
         * Hides the component when the pivot is deselected.
         * This enables reduction of the performance overhead caused by mounting.
         */
        PivotBarItemDeselectionBehavior[PivotBarItemDeselectionBehavior["Hide"] = 1] = "Hide";
    })(PivotBarItemDeselectionBehavior = exports.PivotBarItemDeselectionBehavior || (exports.PivotBarItemDeselectionBehavior = {}));
});
//# sourceMappingURL=PivotBarItem.Props.js.map