import "../../Core/core.scss";
import "../../Common.scss";
import "./RadioButton.scss";
import * as React from "react";
import { IRadioButtonGroup, IRadioButtonGroupProps, IRadioButtonProps } from "../../Components/RadioButton/RadioButton.Props";
export interface IRadioButtonGroupState {
    focusedButtonId?: string;
}
export interface IRadioButtonGroupContext {
    defaultButtonId?: string;
    focusedButtonId?: string;
    onSelect: (buttonId: string) => void;
    onFocus: (buttonId: string) => void;
    selectedButtonId?: string;
}
export declare const RadioButtonGroupContext: React.Context<IRadioButtonGroupContext>;
export declare class RadioButtonGroup extends React.Component<IRadioButtonGroupProps, IRadioButtonGroupState> implements IRadioButtonGroup {
    private _id;
    constructor(props: Readonly<IRadioButtonGroupProps>);
    focus(): void;
    render(): JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onChange;
    private onFocus;
    private onSelectionChange;
}
export declare class RadioButton extends React.Component<IRadioButtonProps> {
    render(): JSX.Element;
}
