import * as tslib_1 from "tslib";
import * as React from "react";
export var StackPanelProviderContext = React.createContext({ push: function () { }, pop: function () { return undefined; }, peek: function () { return undefined; } });
var StackPanelProvider = /** @class */ (function (_super) {
    tslib_1.__extends(StackPanelProvider, _super);
    function StackPanelProvider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    StackPanelProvider.prototype.render = function () {
        return React.createElement(StackPanelProviderContext.Provider, { value: this.props }, this.props.children);
    };
    return StackPanelProvider;
}(React.Component));
export { StackPanelProvider };
