import * as React from "react";
import { ITabBarProps } from "../../Components/Tabs/Tabs.Props";
/**
 * Renders tabs (provided as children or through a tab provider context) as well as addtional
 * content such as in-line filters, view options, etc.
 *
 * Tabs provided directly as children will always be place before contributed tabs.
 */
export declare class TabBar extends React.Component<ITabBarProps> {
    render(): JSX.Element;
    private onRenderAdditionalContent;
    private createTab;
}
