import "../../FabricInit";
import * as React from "react";
import { ITabsProps } from "../../Components/Tabs/Tabs.Props";
/**
 * Renders all children as focusable, selectable elements and indicates whether or not they are
 * currently selected.
 */
export declare class Tabs extends React.Component<ITabsProps> {
    private _tabPropsMap;
    constructor(props: ITabsProps);
    componentWillUnmount(): void;
    render(): JSX.Element;
    private onTabClick;
    private onSelectedTabIdChanged;
}
