import * as tslib_1 from "tslib";
import "../../FabricInit";
import * as React from "react";
import { css } from 'office-ui-fabric-react/lib/Utilities';
import { Tooltip as OfTooltip } from 'office-ui-fabric-react/lib/Tooltip';
var Tooltip = /** @class */ (function (_super) {
    tslib_1.__extends(Tooltip, _super);
    function Tooltip() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Tooltip.prototype.render = function () {
        var realProps = tslib_1.__assign({}, this.props);
        if (!realProps.calloutProps) {
            realProps.calloutProps = {
                isBeakVisible: false,
                gapSpace: 8
            };
        }
        if (!realProps.calloutProps.gapSpace) {
            realProps.calloutProps.gapSpace = 8;
        }
        return React.createElement(OfTooltip, tslib_1.__assign({}, realProps, { className: css(realProps.className, "vss-Tooltip") }));
    };
    return Tooltip;
}(React.Component));
export { Tooltip };
