import * as tslib_1 from "tslib";
import "../../FabricInit";
import * as React from 'react';
import { FocusZone, FocusZoneDirection } from "office-ui-fabric-react/lib/FocusZone";
import { BaseComponent, css } from 'office-ui-fabric-react/lib/Utilities';
/**
 * Helper for the styling of group headers in VssDetailsList
 */
var VssDetailsListGroupHeader = /** @class */ (function (_super) {
    tslib_1.__extends(VssDetailsListGroupHeader, _super);
    function VssDetailsListGroupHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VssDetailsListGroupHeader.prototype.render = function () {
        var _a = this.props, text = _a.text, textCssClassName = _a.textCssClassName, onRenderContent = _a.onRenderContent;
        return React.createElement("div", { className: 'vss-DetailsList--groupHeader', "data-is-focusable": 'true' },
            React.createElement(FocusZone, { direction: FocusZoneDirection.horizontal }, onRenderContent ?
                onRenderContent() :
                React.createElement("div", { className: css('vss-DetailsList--groupHeaderText', textCssClassName) }, text)));
    };
    return VssDetailsListGroupHeader;
}(BaseComponent));
export { VssDetailsListGroupHeader };
