export interface IItemProvider<TItem> {
    loadItems(itemsUpdated: (items: TItem[]) => void): void;
}

export interface IItemWithIdProvider<TItem> {
    loadItems(itemsUpdated: (items: TItem[]) => void, itemsRemoved?: string[]): void;
}

export interface IItemProviderWithCallback<TItem> {
    loadItems(itemsUpdated: (items: TItem[], itemsRemoved?: string[]) => void, itemsInitialized: () => void): void;
}