import * as tslib_1 from "tslib";
import "../../FabricInit";
import * as React from "react";
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { ContextualMenuButton } from '../../Components/ContextualMenuButton/ContextualMenuButton';
/**
 * Implementation of the ContextualMenuButton that uses the chevron icon
*/
var DropdownButton = /** @class */ (function (_super) {
    tslib_1.__extends(DropdownButton, _super);
    function DropdownButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DropdownButton.prototype.render = function () {
        return (React.createElement(ContextualMenuButton, tslib_1.__assign({}, this.props, { iconProps: { iconName: "ChevronDown" } })));
    };
    return DropdownButton;
}(BaseComponent));
export { DropdownButton };
