import * as tslib_1 from "tslib";
import "../../FabricInit";
import * as React from 'react';
import { ContextualMenuButton } from '../../Components/ContextualMenuButton/ContextualMenuButton';
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import * as Preview_Resources from '../../VSS.Resources.VSSUI';
/**
 * Implementation of the ContextualMenuButton that uses the ellipsis
*/
var MoreActionsButton = /** @class */ (function (_super) {
    tslib_1.__extends(MoreActionsButton, _super);
    function MoreActionsButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._contextualMenuRef = null;
        return _this;
    }
    Object.defineProperty(MoreActionsButton.prototype, "contextualMenuRef", {
        get: function () {
            return this._contextualMenuRef;
        },
        enumerable: true,
        configurable: true
    });
    MoreActionsButton.prototype.render = function () {
        var _this = this;
        return React.createElement(ContextualMenuButton, tslib_1.__assign({ showTooltip: true }, this.props, { ref: function (element) { _this._contextualMenuRef = element; }, iconProps: { iconName: "More" }, title: this.props.title || Preview_Resources.MoreActionsText }));
    };
    MoreActionsButton.prototype.componentWillUnmount = function () {
        this._contextualMenuRef = null;
    };
    return MoreActionsButton;
}(BaseComponent));
export { MoreActionsButton };
