import * as tslib_1 from "tslib";
import "../../FabricInit";
import * as React from 'react';
import { BaseComponent, getNativeProps, htmlElementProperties } from 'office-ui-fabric-react/lib/Utilities';
import { ObservableComponent } from '../../Components/Dynamic/ObservableComponent';
var DynamicText = /** @class */ (function (_super) {
    tslib_1.__extends(DynamicText, _super);
    function DynamicText() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DynamicText.prototype.render = function () {
        var spanProps = tslib_1.__assign({}, this.props);
        return React.createElement(ObservableComponent, tslib_1.__assign({}, spanProps, { text: this.props.text }),
            React.createElement(DynamicTextInternal, { text: '' }));
    };
    return DynamicText;
}(BaseComponent));
export { DynamicText };
var DynamicTextInternal = /** @class */ (function (_super) {
    tslib_1.__extends(DynamicTextInternal, _super);
    function DynamicTextInternal() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DynamicTextInternal.prototype.render = function () {
        var spanProps = getNativeProps(this.props, htmlElementProperties);
        return React.createElement("span", tslib_1.__assign({}, spanProps), this.props.text);
    };
    return DynamicTextInternal;
}(BaseComponent));
