import "../../FabricInit";
import * as React from "react";
import { IHeaderCommandBarProps, IHeaderCommandBarWithFilterProps, IHeaderCommandBar } from './HeaderCommandBar.Props';
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
export declare class HeaderCommandBar extends BaseComponent<IHeaderCommandBarProps, {}> implements IHeaderCommandBar {
    render(): JSX.Element;
    private _onRenderItem;
    private _renderButton;
    private _onRenderOverflowButton;
}
export interface IHeaderCommandBarWithFilterState {
    filterHasChanges: boolean;
}
export declare class HeaderCommandBarWithFilter extends React.Component<IHeaderCommandBarWithFilterProps, IHeaderCommandBarWithFilterState> {
    constructor(props: IHeaderCommandBarWithFilterProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private onFilterClicked;
    private onFilterChanged;
}
