import "../../FabricInit";
import { IBaseProps } from "office-ui-fabric-react/lib/Utilities";
import { IObservableValue } from '../../Core/Observable';
export interface IHubTextTileProps extends IBaseProps {
    /**
     * Primary text to display within the tile
     */
    text: IObservableValue<string> | string;

    /**
     * Secondary text to display within the tile
     */
    secondaryText?: IObservableValue<string> | string;
}