import { IObservableLikeValue } from '../../Core/Observable';
export interface IObserverProps {
    /**
     * All props that should be passed down to the child element.
     * These properties are IObservableLikeValues, meaning that if they are observable,
     * we will attempt to subscribe to their changes.
     */
    [propName: string]: IObservableLikeValue<any>;
}