/// <reference types="react" />
import "../../FabricInit";
import "../../Core/core.scss";
import "../../Common.scss";
import "./Panel.scss";
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IPanelProps } from "./Panel.Props";
/**
 * A panel is a used to draw a layer that acts like a modal dialog. It captures the focus and
 * renders a view on top of the current page (generally along the left or right side.
 */
export declare class Panel extends BaseComponent<IPanelProps, {}> {
    private calloutDismissed?;
    private focusElement?;
    constructor(props: IPanelProps);
    render(): JSX.Element | null;
    componentWillUnmount(): void;
    private onDismiss;
    private _panelContent;
    private _panelHeader;
    private _panelBadgeHeader;
    private _panelCloseButton;
    private _panelFooter;
}
