import * as tslib_1 from "tslib";
import "../../FabricInit";
import * as React from "react";
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
;
import { Persona, PersonaSize } from "office-ui-fabric-react/lib/Persona";
import { TooltipHost, TooltipOverflowMode } from '../../Tooltip';
var DefaultSimpleCard = /** @class */ (function (_super) {
    tslib_1.__extends(DefaultSimpleCard, _super);
    function DefaultSimpleCard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    // Render
    DefaultSimpleCard.prototype.render = function () {
        var _this = this;
        var mainPersonaData = {
            imageUrl: this.props.identity.image,
            primaryText: this.props.identity.displayName,
            secondaryText: this.props.identity.scopeName && this.props.identity.signInAddress
                ? this.props.identity.scopeName + "\\" + this.props.identity.signInAddress
                : this.props.identity.signInAddress
                    ? this.props.identity.signInAddress
                    : ""
        };
        return (React.createElement("div", { className: "default-card-simple" },
            React.createElement("div", null,
                React.createElement(Persona, tslib_1.__assign({}, mainPersonaData, { key: this.props.identity.entityId, size: PersonaSize.large, className: "persona-main", onRenderPrimaryText: function () {
                        return (React.createElement(TooltipHost, { key: _this.props.identity.entityId + ".primarytext.tooltip", content: mainPersonaData.primaryText, overflowMode: TooltipOverflowMode.Parent },
                            React.createElement("span", { className: "persona-main-text-primary" }, mainPersonaData.primaryText)));
                    }, onRenderSecondaryText: function () {
                        return (React.createElement(TooltipHost, { key: _this.props.identity.entityId + ".secondarytext.tooltip", content: mainPersonaData.secondaryText, overflowMode: TooltipOverflowMode.Parent },
                            React.createElement("span", { className: "persona-main-text-secondary" }, mainPersonaData.secondaryText)));
                    }, imageShouldFadeIn: false })))));
    };
    return DefaultSimpleCard;
}(BaseComponent));
export { DefaultSimpleCard };
