/// <reference types="react" />
import "../../FabricInit";
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IDataState, PersonaCardProps } from "./PersonaCard.Props";
export interface PersonaCardState {
    /** Mimics stack to allow for breadcrumb */
    dataState: IDataState;
    /** Prevent requests if working */
    working: boolean;
}
export declare class PersonaCard extends BaseComponent<PersonaCardProps, PersonaCardState> {
    private _dismissed;
    constructor(props: PersonaCardProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private _onDismissCallback;
    private _headerOnClickHandler;
    private _onShowContactCard;
    private _onShowOrganizationCard;
    private _onClickEntity;
    private _setupInitialData;
    private _resolveIdentity;
    private _resolveIEntity;
    private _updateConnections;
    private _updateEntity;
    private _getIdentityByUniqueAttribute;
    private _getEmail;
}
