/// <reference types="react" />
import "../../FabricInit";
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IPickListDropdown, IPickListDropdownProps } from '../../Components/PickList/PickList.Props';
import "./PickListDropdown.css";
export interface IPickListDropdownState {
    isListOpen: boolean;
    pickListWidth?: number;
    selectedItems?: any[];
}
export declare class PickListDropdown extends BaseComponent<IPickListDropdownProps, IPickListDropdownState> implements IPickListDropdown {
    private _dropdown;
    private _dropdownTitle;
    private _pickList;
    private _shouldRefocus;
    private _id;
    private _maintainsOwnState;
    constructor(props: IPickListDropdownProps);
    focus(): void;
    forceUpdate(): void;
    render(): JSX.Element;
    componentDidMount(): void;
    private _getTitleText;
    private getIndicators;
    private _onClick;
    private _onKeyDown;
    private _onPickListFocusLost;
    private _onPositioned;
    private _onDismiss;
    private _onSelectionChanged;
    private _getNameFromItem;
    private _getIconFromItem;
    private _togglePickList;
    private _getEffectiveIsListOpen;
}
