/// <reference types="react" />
import "../../FabricInit";
import "../../Core/core.scss";
import "../../Common.scss";
import "./StackPanel.scss";
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IStackPanelProps, IStackPanelItem, IStackPanel } from "./StackPanel.Props";
interface IStackPanelState {
    stack: IStackPanelItem[];
}
export declare class StackPanel extends BaseComponent<IStackPanelProps, IStackPanelState> implements IStackPanel {
    constructor(props: IStackPanelProps);
    render(): JSX.Element;
    push(item: IStackPanelItem): void;
    pop(): IStackPanelItem;
    peek(): IStackPanelItem;
}
export {};
