/// <reference types="react" />
import "../../FabricInit";
import { ITextFieldProps } from "./TextField.Props";
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
export interface ITextFieldState {
    value: string;
    errorMessage?: string;
}
export declare class TextField extends BaseComponent<ITextFieldProps, ITextFieldState> {
    static defaultProps: ITextFieldProps;
    private textarea;
    private description;
    private prefix;
    private suffix;
    private inputStyle;
    constructor(props: ITextFieldProps);
    render(): JSX.Element;
    componentDidMount(): void;
    private renderInput;
    private renderTextArea;
    private onInput;
    private adjustInputStyle;
    private _onRenderDescription;
    private setErrorMessage;
    private onFocus;
    private onBlur;
    private adjustInputHeight;
    private checkPropValue;
}
