/// <reference types="react" />
import "../../FabricInit";
import { ITreeListProps, ITreeList } from "../../Components/Tree/Tree.Props";
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import "./Tree.css";
export declare class TreeList<T> extends BaseComponent<ITreeListProps<T>> implements ITreeList<T> {
    private selection;
    private itemsToSelect;
    private newlySelectedItem;
    constructor(props: ITreeListProps<T>);
    setSelectedItemsById(selectedItemIds: string[] | undefined): void;
    render(): JSX.Element;
    componentDidUpdate(): void;
    private setSelection;
    private onRenderRow;
    private onCollapse;
    private onExpand;
    private onSelectionChanged;
    private onItemToggled;
    private canCollapse;
}
