/// <amd-module name="VSSUI/Components/VssIcon/VssIcon.Props" />
define("VSSUI/Components/VssIcon/VssIcon.Props", ["require", "exports"], function (require, exports) {
    Object.defineProperty(exports, "__esModule", { value: true });
    // Try to make these line up with Fabric's IconType so that we can assign IconType to VssIconType
    // and have it Just Work(tm).
    var VssIconType;
    (function (VssIconType) {
        /**
         * Use an icon from the Fabric icon set
         */
        VssIconType[VssIconType["fabric"] = 0] = "fabric";
        /**
         * Use an icon from the Bowtie icon set
         * @deprecated Use only fabric icons.
         */
        VssIconType[VssIconType["bowtie"] = 1] = "bowtie";
        /**
         * Use an image as an icon
         */
        VssIconType[VssIconType["image"] = 3] = "image";
    })(VssIconType = exports.VssIconType || (exports.VssIconType = {}));
});
//# sourceMappingURL=VssIcon.Props.js.map