// Your use of the content in the files referenced here is subject to the terms of the license at https://aka.ms/fabric-assets-license
// tslint:disable:max-line-length
import { registerIcons } from '@uifabric/styling/lib/index';
export function initializeIcons(baseUrl, options) {
    if (baseUrl === void 0) { baseUrl = ''; }
    var subset = {
        style: {
            MozOsxFontSmoothing: 'grayscale',
            WebkitFontSmoothing: 'antialiased',
            fontStyle: 'normal',
            fontWeight: 'normal',
            speak: 'none'
        },
        fontFace: {
            fontFamily: "\"FabricMDL2Icons\""
        },
        icons: {
            'Airplane': '\uE709',
            'ChevronDown': '\uE70D',
            'ChevronUp': '\uE70E',
            'Edit': '\uE70F',
            'Add': '\uE710',
            'Cancel': '\uE711',
            'More': '\uE712',
            'Settings': '\uE713',
            'Mail': '\uE715',
            'People': '\uE716',
            'Phone': '\uE717',
            'Pin': '\uE718',
            'Shop': '\uE719',
            'Link': '\uE71B',
            'Filter': '\uE71C',
            'ZoomOut': '\uE71F',
            'Search': '\uE721',
            'Attach': '\uE723',
            'Send': '\uE724',
            'FavoriteList': '\uE728',
            'Forward': '\uE72A',
            'Back': '\uE72B',
            'Refresh': '\uE72C',
            'Share': '\uE72D',
            'Lock': '\uE72E',
            'ReportHacked': '\uE730',
            'EMI': '\uE731',
            'Blocked': '\uE733',
            'FavoriteStar': '\uE734',
            'FavoriteStarFill': '\uE735',
            'ReadingMode': '\uE736',
            'Remove': '\uE738',
            'CheckMark': '\uE73E',
            'BackToWindow': '\uE73F',
            'FullScreen': '\uE740',
            'Print': '\uE749',
            'Up': '\uE74A',
            'Down': '\uE74B',
            'OEM': '\uE74C',
            'Delete': '\uE74D',
            'Save': '\uE74E',
            'Sad': '\uE757',
            'MultiSelect': '\uE762',
            'Play': '\uE768',
            'ChevronLeft': '\uE76B',
            'ChevronRight': '\uE76C',
            'Emoji2': '\uE76E',
            'SearchAndApps': '\uE773',
            'Globe': '\uE774',
            'ContactInfo': '\uE779',
            'Unpin': '\uE77A',
            'Contact': '\uE77B',
            'Paste': '\uE77F',
            'WindowsLogo': '\uE782',
            'Error': '\uE783',
            'Unlock': '\uE785',
            'Calendar': '\uE787',
            'Color': '\uE790',
            'SaveAs': '\uE792',
            'Undo': '\uE7A7',
            'RedEye': '\uE7B3',
            'Package': '\uE7B8',
            'Warning': '\uE7BA',
            'ShoppingCart': '\uE7BF',
            'Flag': '\uE7C1',
            'Page': '\uE7C3',
            'Car': '\uE804',
            'EatDrink': '\uE807',
            'Home': '\uE80F',
            'SwitcherStartEnd': '\uE810',
            'IncidentTriangle': '\uE814',
            'History': '\uE81C',
            'Work': '\uE821',
            'Recent': '\uE823',
            'LocationDot': '\uE827',
            'Dictionary': '\uE82D',
            'RevToggleKey': '\uE845',
            'View': '\uE890',
            'Previous': '\uE892',
            'Next': '\uE893',
            'Clear': '\uE894',
            'Download': '\uE896',
            'Help': '\uE897',
            'Upload': '\uE898',
            'ZoomIn': '\uE8A3',
            'ViewAll': '\uE8A9',
            'Rename': '\uE8AC',
            'Import': '\uE8B5',
            'Folder': '\uE8B7',
            'ChromeClose': '\uE8BB',
            'ShowResults': '\uE8BC',
            'PaymentCard': '\uE8C7',
            'Copy': '\uE8C8',
            'FontColor': '\uE8D3',
            'Permissions': '\uE8D7',
            'Italic': '\uE8DB',
            'Underline': '\uE8DC',
            'Bold': '\uE8DD',
            'FontSize': '\uE8E9',
            'Tag': '\uE8EC',
            'Library': '\uE8F1',
            'AddFriend': '\uE8FA',
            'Accept': '\uE8FB',
            'BulletedList': '\uE8FD',
            'Preview': '\uE8FF',
            'Chat': '\uE901',
            'Group': '\uE902',
            'Repair': '\uE90F',
            'Accounts': '\uE910',
            'Stopwatch': '\uE916',
            'Clock': '\uE917',
            'Completed': '\uE930',
            'Code': '\uE943',
            'LightningBolt': '\uE945',
            'Info': '\uE946',
            'CalculatorAddition': '\uE948',
            'ChevronUpSmall': '\uE96D',
            'ChevronDownSmall': '\uE96E',
            'ChevronLeftSmall': '\uE96F',
            'ChevronRightSmall': '\uE970',
            'PC1': '\uE977',
            'LockSolid': '\uE9A2',
            'CloudWeather': '\uE9BE',
            'Cloudy': '\uE9BF',
            'Unknown': '\uE9CE',
            'SortLines': '\uE9D0',
            'Assign': '\uE9D3',
            'CheckList': '\uE9D5',
            'Diagnostic': '\uE9D9',
            'Equalizer': '\uE9E9',
            'Teamwork': '\uEA12',
            'PeopleAdd': '\uEA15',
            'DateTime2': '\uEA17',
            'Shield': '\uEA18',
            'PageAdd': '\uEA1A',
            'NumberedList': '\uEA1C',
            'PowerBILogo': '\uEA1E',
            'ErrorBadge': '\uEA39',
            'CircleRing': '\uEA3A',
            'CircleFill': '\uEA3B',
            'Lightbulb': '\uEA80',
            'Ringer': '\uEA8F',
            'PDF': '\uEA90',
            'CirclePlus': '\uEAEE',
            'MSNVideos': '\uEB1C',
            'Soccer': '\uEB21',
            'ProFootball': '\uEB27',
            'Heart': '\uEB51',
            'HeartFill': '\uEB52',
            'AzureLogo': '\uEB6A',
            'OfficeLogo': '\uEB6E',
            'SkypeLogo': '\uEB6F',
            'StatusErrorFull': '\uEB90',
            'Certificate': '\uEB95',
            'Rewind': '\uEB9E',
            'Photo2': '\uEB9F',
            'OpenSource': '\uEBC2',
            'CloudDownload': '\uEBD3',
            'CityNext': '\uEC06',
            'Documentation': '\uEC17',
            'Giftbox': '\uEC1F',
            'VisualStudioLogo': '\uEC22',
            'CompletedSolid': '\uEC61',
            'CloudUpload': '\uEC8E',
            'Tiles': '\uECA5',
            'AppIconDefault': '\uECAA',
            'POI': '\uECAF',
            'RadioBtnOff': '\uECCA',
            'RadioBtnOn': '\uECCB',
            'Embed': '\uECCE',
            'Product': '\uECDC',
            'ProgressLoopOuter': '\uECDF',
            'Blocked2': '\uECE4',
            'FangBody': '\uECEB',
            'Feedback': '\uED15',
            'AccessLogo': '\uED69',
            'Waffle': '\uED89',
            'RemoveLink': '\uED90',
            'EditNote': '\uED9D',
            'DoubleChevronUp': '\uEDBD',
            'DoubleChevronLeft': '\uEDBE',
            'DoubleChevronRight': '\uEDBF',
            'Ascending': '\uEDC0',
            'Descending': '\uEDC1',
            'TextField': '\uEDC3',
            'ClearFormatting': '\uEDDD',
            'Strikethrough': '\uEDE0',
            'DoubleChevronDown': '\uEE04',
            'ReplyMirrored': '\uEE35',
            'AddGroup': '\uEE3D',
            'SortUp': '\uEE68',
            'SortDown': '\uEE69',
            'AwayStatus': '\uEE6A',
            'MyMoviesTV': '\uEE6C',
            'ContactCard': '\uEEBD',
            'CustomList': '\uEEBE',
            'OfflineOneDriveParachute': '\uEEC8',
            'OfflineOneDriveParachuteDisabled': '\uEEC9',
            'TriangleSolidRight12': '\uEECF',
            'TriangleRight12': '\uEED3',
            'DocumentSet': '\uEED6',
            'ViewAll2': '\uEF56',
            'PlayerSettings': '\uEF58',
            'ReceiptCheck': '\uEF5B',
            'Lifesaver': '\uEF62',
            'DocumentSearch': '\uEF6C',
            'ExcelDocument': '\uEF73',
            'Starburst': '\uEF78',
            'SkypeCircleCheck': '\uEF7D',
            'ClearFilter': '\uEF8F',
            'TimeEntry': '\uEF95',
            'PageEdit': '\uEFB6',
            'ConnectContacts': '\uEFD4',
            'ZipFolder': '\uF012',
            'TextDocument': '\uF029',
            'ActivityFeed': '\uF056',
            'CaretSolidDown': '\uF08E',
            'FabricFolder': '\uF0A9',
            'FabricFolderFill': '\uF0AA',
            'FabricNewFolder': '\uF0AB',
            'GiftboxOpen': '\uF133',
            'StatusCircleInner': '\uF137',
            'StatusCircleRing': '\uF138',
            'StatusCircleCheckmark': '\uF13E',
            'InfoSolid': '\uF167',
            'ProgressRingDots': '\uF16A',
            'WordLogo': '\uF1E3',
            'ExcelLogo': '\uF1E5',
            'OneNoteLogo': '\uF1E7',
            'OutlookLogo': '\uF1E9',
            'PowerPointLogo': '\uF1EB',
            'GridViewSmall': '\uF232',
            'ViewDashboard': '\uF246',
            'ViewList': '\uF247',
            'ViewListGroup': '\uF248',
            'ViewListTree': '\uF249',
            'TriggerAuto': '\uF24A',
            'TriggerUser': '\uF24B',
            'StackedLineChart': '\uF24E',
            'BuildQueue': '\uF24F',
            'BuildQueueNew': '\uF250',
            'CloneToDesktop': '\uF28C',
            'Build': '\uF28F',
            'BranchFork2': '\uF291',
            'BranchCommit': '\uF293',
            'BranchMerge': '\uF295',
            'BranchPullRequest': '\uF296',
            'BranchShelveset': '\uF298',
            'RawSource': '\uF299',
            'RowsGroup': '\uF29B',
            'Deploy': '\uF29D',
            'ServerEnviroment': '\uF29F',
            'VisioLogo': '\uF2A7',
            'Backlog': '\uF2AC',
            'TeamFavorite': '\uF2AD',
            'TaskGroup': '\uF2AE',
            'ShopServer': '\uF2B6',
            'QueryList': '\uF2B8',
            'ArrowTallUpRight': '\uF2BE',
            'RingerOff': '\uF2C5',
            'Repo': '\uF2CB',
            'FolderList': '\uF2CE',
            'CirclePause': '\uF2D9',
            'MSNVideosSolid': '\uF2DA',
            'CircleStopSolid': '\uF2DB',
            'CircleStop': '\uF2DC',
            'NavigateForward': '\uF2DF',
            'FileJAVA': '\uF2E8',
            'FileCSS': '\uF2EA',
            'FileSass': '\uF2EB',
            'FileHTML': '\uF2ED',
            'JavaScriptLanguage': '\uF2EE',
            'CSharpLanguage': '\uF2EF',
            'TypeScriptLanguage': '\uF2F7',
            'MarkDownLanguage': '\uF2FB',
            'UnlockSolid': '\uF304',
            'FileBug': '\uF30D',
            'FileCode': '\uF30E',
            'FileImage': '\uF311',
            'WorkItem': '\uF314',
            'FullHistory': '\uF31C',
            'TripleColumnEdit': '\uF323',
            'AlertSolid': '\uF331',
            'ShieldSolid': '\uF340',
            'RibbonSolid': '\uF345',
            'NavigateExternalInline': '\uF35F',
            'PlanView': '\uF360',
            'EngineeringGroup': '\uF362',
            'ProjectCollection': '\uF363',
            'ChevronUnfold10': '\uF369',
            'VSTSLogo': '\uF381',
            'TestBeaker': '\uF3A5',
            'TestAutoSolid': '\uF3A8',
            'TestPlan': '\uF3AB',
            'TestStep': '\uF3AC',
            'TestParameter': '\uF3AD',
            'Sprint': '\uF3B0',
            'TriggerApproval': '\uF3B2',
            'Rocket': '\uF3B3',
            'FilterSolid': '\uF412',
            'Inbox': '\uF41C',
            'NotExecuted': '\uF440',
            'NotImpactedSolid': '\uF441',
            'BacklogBoard': '\uF444',
            'NugetLogo': '\uF44C',
            'TFVCLogo': '\uF44D',
            'ProjectLogo32': '\uF47E',
            'WaffleOffice365': '\uF4E0',
            'FontColorA': '\uF4EC',
            'FontColorSwatch': '\uF4ED',
            'AlignJustify': '\uF51E',
            'LaptopSecure': '\uF552',
            'EntryView': '\uF554',
            'GradleLogo32': '\uF5D4',
            'AnalyticsView': '\uF5F1',
            'Trending12': '\uF62D',
            'GitLogo': '\uF65D',
            'GitHubLogo': '\uF65E',
            'ApacheMavenLogo': '\uF65F',
            'NPMLogo': '\uF660',
            'ExternalGit': '\uF665',
            'BacklogList': '\uF6BF',
            'BulletedListText': '\uF792',
            'BulletedListBullet': '\uF793',
            'NumberedListText': '\uF796',
            'NumberedListNumber': '\uF797',
            'RemoveLinkChain': '\uF79A',
            'RemoveLinkX': '\uF79B',
            'FabricTextHighlight': '\uF79C',
            'ClearFormattingA': '\uF79D',
            'ClearFormattingEraser': '\uF79E',
            'Photo2Fill': '\uF79F',
            'IncreaseIndentText': '\uF7A0',
            'IncreaseIndentArrow': '\uF7A1',
            'DecreaseIndentText': '\uF7A2',
            'DecreaseIndentArrow': '\uF7A3',
            'CheckListText': '\uF7A8',
            'CheckListCheck': '\uF7A9',
            'NumberSymbol': '\uF7AC',
            'FabricTextHighlightComposite': '\uF7DA',
            'DecreaseIndentLegacy': '\uE290',
            'IncreaseIndentLegacy': '\uE291',
            'Trash': '\uE74D',
        }
    };
    registerIcons(subset, options);
}
